cascading.stats.tez.util

## Class TezStatsUtil

- java.lang.Object
- - cascading.stats.tez.util.TezStatsUtil

    public class TezStatsUtil
    extends java.lang.Object

### Field Summary

Fields
`static java.util.Set<org.apache.tez.dag.api.client.StatusGetOpts>` `STATUS_GET_COUNTERS`
`static java.lang.String` `TIMELINE_CLIENT_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`TezStatsUtil()`

### Method Summary

Methods
`static org.apache.tez.dag.api.client.DAGClient` `createTimelineClient(org.apache.tez.dag.api.client.DAGClient dagClient)` Only called if the service is enabled
`static org.apache.tez.dag.api.client.DAGStatus` `getDagStatusWithCounters(org.apache.tez.dag.api.client.DAGClient dagClient)`
`static java.lang.String` `getPlatformVersion()`
`static java.lang.String` `getTrackingURL(org.apache.tez.client.TezClient tezClient, org.apache.tez.dag.api.client.DAGClient dagClient)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATUS_GET_COUNTERS

    public static final java.util.Set<org.apache.tez.dag.api.client.StatusGetOpts> STATUS_GET_COUNTERS

#### TIMELINE_CLIENT_CLASS

    public static final java.lang.String TIMELINE_CLIENT_CLASS

See Also:
  Constant Field Values

### Constructor Detail

#### TezStatsUtil

    public TezStatsUtil()

### Method Detail

#### getPlatformVersion

    public static java.lang.String getPlatformVersion()

#### getDagStatusWithCounters

    public static org.apache.tez.dag.api.client.DAGStatus getDagStatusWithCounters(org.apache.tez.dag.api.client.DAGClient dagClient)

#### createTimelineClient

    public static org.apache.tez.dag.api.client.DAGClient createTimelineClient(org.apache.tez.dag.api.client.DAGClient dagClient)

Only called if the service is enabled

Parameters:
  `dagClient` -
Returns:

#### getTrackingURL

    public static java.lang.String getTrackingURL(org.apache.tez.client.TezClient tezClient,
                                  org.apache.tez.dag.api.client.DAGClient dagClient)